Adding flmsg and flamp

This commit is contained in:
William McKeehan
2025-12-01 11:31:10 -05:00
parent 29acadffc5
commit 69d69847fc
4 changed files with 152 additions and 2 deletions
@@ -0,0 +1,60 @@
; FLTK preferences file format 1.0
; vendor: w1hkj.com
; application: FLMSG
[.]
version:4.0.24
mainx:70
mainy:71
expertW:570
expertH:492
wpl:5
open_on_export:0
utc:0
dtformat:0
mycall:N0CALL
mytel:
myname:
myaddr:
mycity:
myemail:
sernbr:1
rgnbr:1
rri:1
sernbr_fname:1
rgnbr_fname:1
arl_desc:1
call_fname:1
dt_fname:1
insert_x:0
charcount:72
autowordwrap:1
send_original:1
preset_tab:15
mars_roster_file:
xmlrpc_address:127.0.0.1
xmlrpc_port:7362
use_compression:0
selected_mode:0
swx_index_default_state:0
swx_index_default_county:0
swx_default_city:
swx_default_location:
swx_default_zone:
swx_default_profile:
change_modem_with_autosend:1
sync_modem_to_fldigi:0
caplocal:0
auto_open_url:0
retries:5
timeout:60000
exponent:5
ID_on:1
ID_off:1
ID_restore:1
arq_shown:1
UI_expert:1
UI_default:1
arq_notify_timeout:0
notify_receipt:0
+42
View File
@@ -0,0 +1,42 @@
#!/bin/bash
# Author : William McKeehan
# Date : 18 November 2025
# Purpose : Builds and installs flamp
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
APP="flamp"
VERSION="2.2.14"
APP_AND_VERSION="${APP}-${VERSION}"
GIT_TAG="v${VERSION}"
GIT_URL="https://git.code.sf.net/p/fldigi/flamp"
GIT_WORKSPACE="flamp"
INSTALL_DIR="/opt/${APP_AND_VERSION}"
LINK_PATH="/opt/${APP}"
et-log "Installing ${APP} ${VERSION}"
CWD_DIR=`pwd`
cd ${ET_SRC_DIR}
[[ ! -e ${GIT_WORKSPACE} ]] && git clone ${GIT_URL} ${GIT_WORKSPACE}
cd ${GIT_WORKSPACE}
git checkout ${GIT_TAG}
# Generate config script
autoreconf -i && ./configure --prefix=${INSTALL_DIR}
# Compile
make
# Install
make install
[[ -e ${LINK_PATH} ]] && rm ${LINK_PATH}
ln -v -s ${INSTALL_DIR} ${LINK_PATH}
stow -v -d /opt ${APP} -t /usr/local
+48
View File
@@ -0,0 +1,48 @@
#!/bin/bash
# Author : William McKeehan
# Date : 18 November 2025
# Purpose : Builds and installs flmsg
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
APP="flmsg"
VERSION="4.0.24"
APP_AND_VERSION="${APP}-${VERSION}"
GIT_TAG="v${VERSION}"
GIT_URL="https://git.code.sf.net/p/fldigi/flmsg"
GIT_WORKSPACE="flmsg"
INSTALL_DIR="/opt/${APP_AND_VERSION}"
LINK_PATH="/opt/${APP}"
et-log "Installing ${APP} ${VERSION}"
CWD_DIR=`pwd`
cd ${ET_SRC_DIR}
[[ ! -e ${GIT_WORKSPACE} ]] && git clone ${GIT_URL} ${GIT_WORKSPACE}
# Fixing a bug in this build of flmsg
sed -i '46 i#include "pthread.h"' /opt/src/flmsg/src/widgets/font_browser.cxx
cd ${GIT_WORKSPACE}
git checkout ${GIT_TAG}
# Generate config script
autoreconf -i && ./configure --prefix=${INSTALL_DIR}
# Compile
make
# Install
make install
[[ -e ${LINK_PATH} ]] && rm ${LINK_PATH}
ln -v -s ${INSTALL_DIR} ${LINK_PATH}
stow -v -d /opt ${APP} -t /usr/local
# Use wrapper script as launcher executable
sed -i 's|^Exec.*|Exec=/opt/emcomm-tools/bin/et-flmsg start|' /opt/flmsg/share/applications/flmsg.desktop
+2 -2
View File
@@ -92,6 +92,6 @@ exitIfNotRoot
# Install fldigi suite
./install-fldigi.sh
./install-flmsg.sh
./install-flamp.sh
./install-et-portaudio.sh
# TODO: add installers for flmsg and flamp